Support » Plugin: WooCommerce Admin » You have the WooCommerce Admin plugin activated but it is not being used.

  • Resolved coldrealms65

    (@coldrealms65)


    activated this plugin and now this error is being reported…

    You have the WooCommerce Admin plugin activated but it is not being used.

Viewing 12 replies - 1 through 12 (of 12 total)
  • The function that shows the admin_notice is located on Loader.php:

    /**
     * Verifies which plugin version is being used. If WooCommerce Admin is installed and activated but not in use
     * it will show a warning.
     */
    public static function is_using_installed_wc_admin_plugin() {
    	if ( PluginsHelper::is_plugin_active( 'woocommerce-admin' ) ) {
    		$path = PluginsHelper::get_plugin_data( 'woocommerce-admin' );
    		if ( WC_ADMIN_VERSION_NUMBER !== $path['Version'] ) {
    			add_action(
    				'admin_notices',

    I don’t undersand why this error, if they’re indeed the same:

    FeaturePlugin.php: $this->define( 'WC_ADMIN_VERSION_NUMBER', '2.2.5' );

    woocommerce-admin.php: Version: 2.2.5

    [edit]
    Donnow what’s going on, but I’m disabling this notice on Loader.php, and it keeps appearing!… it’s mental, I better go sleep

    • This reply was modified 1 month, 1 week ago by brasofilo.

    Any further info on this? We are also getting the same warning message.
    Where do I even access this Woocommerce Admin dashboard? Is it anything to do with the normal Woocommerce dash (https://postimg.cc/SnJxJRcx)?

    Same here, even though I visit the woocommerce dashboard like everyday. cant understand where this is coming from.

    Hi,

    I started seeing this after updating to Woocommerce v5.3.0 .

    I was about to post the same message. This just started for us. It must be an issue that Woo needs to make a patch for. There is nowhere to turn admin off and on or use it or not use it. If it is activated you are using it.

    Now that I think about it, it started after the Woocommerce update a day ago.

    • This reply was modified 1 month, 1 week ago by Dave Stevens.

    Let’s wait. I am experiencing the same problem.Good news that apparently didn’t change anything except the message.

    Plugin Support fevered – a11n

    (@fevered)

    Hey there!

    WooCommerce Admin is bundled with WooCommerce ever since 4.0, but the plugin is also available separately so you can update the Admin part of WooCommerce for new reporting features even if you aren’t quite yet ready to upgrade the latest release of WooCommerce.

    This notice was added to let you know that the plugin isn’t being used. When WooCommerce is fully updated and activated, you can safely deactivate the WooCommerce Admin plugin without losing the latest reporting features.

    Thanks @fevered – are you saying that since we have WooCommerce v5.3.0 we can delete WooCommerce Admin v2.2.5 without losing any functionality?

    Well I definitely did delete it … the message is annoying and I do not want any deactivated plugins in my system.

    Yep. That is my solution. Uninstall questionable plugins.

    Plugin Support Stuart Duff – a11n

    (@stuartduff)

    Automattic Happiness Engineer

    Hey @albertandbrown,

    are you saying that since we have WooCommerce v5.3.0 we can delete WooCommerce Admin v2.2.5 without losing any functionality?

    That would be correct as the functionality of the WooCommerce Admin plugin is now included within the WooCommerce core plugin itself.

    Thanks!

Viewing 12 replies - 1 through 12 (of 12 total)
  • You must be logged in to reply to this topic.